Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class DualExpr

    java.lang.Object
      org.basex.query.xpath.expr.Expr
          org.basex.query.xpath.expr.DualExpr

Direct Known Subclasses:
  Calculation, Comparison

    public abstract class DualExpr

extends Expr

Abstract Expression with two arguments.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`Expr` | `expr1` First Expression.
`Expr` | `expr2` Second Expression.

Constructor Summary
`DualExpr()`

Method Summary
`boolean` | `usesPos()` Checks whether this Expression (or its children) make use of the position parameter.
`boolean` | `usesSize()` Checks whether this Expression (or its children) make use of the setsize parameter.

Methods inherited from class org.basex.query.xpath.expr.Expr
`compile, eval, indexEquivalent, indexSizes, returnedValue, sameAs, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expr1

    public Expr expr1

  First Expression.

### expr2

    public Expr expr2

  Second Expression.

Constructor Detail

### DualExpr

    public DualExpr()

Method Detail

### usesPos

    public final boolean usesPos()

  Description copied from class: `Expr`
  Checks whether this Expression (or its children) make use of the position parameter. If not this allows some nice optimizations.

  Specified by:
    `usesPos` in class `Expr`
  Returns:
    whether position is used

### usesSize

    public final boolean usesSize()

  Description copied from class: `Expr`
  Checks whether this Expression (or its children) make use of the setsize parameter. If not this allows early predicate evaluation.

  Specified by:
    `usesSize` in class `Expr`
  Returns:
    whether setsize is used

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD